%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:		mingw32-libsoup
Version:	2.26.3
Release:	2%{?dist}
Summary:	MinGW library for HTTP and XML-RPC functionality

License:	LGPLv2
Group:		Development/Libraries
URL:		http://live.gnome.org/LibSoup
Source		http://download.gnome.org/sources/libsoup/2.26/libsoup-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-libxml2

Requires:	pkgconfig

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.
 
libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


%package static
Summary:	Static version of the MinGW Windows Libsoup library
Requires:	%{name} = %{version}-%{release}
Group:		Development/Libraries

%description static
Static version of the MinGW Windows Libsoup library.


%prep
%setup -q -n libsoup-%{version}

%build
# Libsoup can't build static and shared libraries in one go, so we build the package twice here
mkdir build_static
pushd build_static
	%{_mingw32_configure}		\
		--without-apache-httpd	\
		--enable-static		\
		--disable-shared	\
		CFLAGS="$CFLAGS -DGLIB_STATIC_COMPILATION -DGOBJECT_STATIC_COMPILATION -DLIBXML_STATIC"
	make %{?_smp_mflags}
popd

mkdir build_shared
pushd build_shared
	%{_mingw32_configure}		\
		--without-apache-httpd	\
		--disable-static	\
		--enable-shared
	make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT

# First install all the files belonging to the shared build
make -C build_shared DESTDIR=$RPM_BUILD_ROOT install

# Install all the files from the static build in a seperate folder
# and move the static libraries to the right location
make -C build_static DESTDIR=$RPM_BUILD_ROOT/build_static install
mv $RPM_BUILD_ROOT/build_static%{_mingw32_libdir}/*.a $RPM_BUILD_ROOT%{_mingw32_libdir}

# Manually merge the libtool files
sed -i s/"old_library=''"/"old_library='libsoup-2.4.a'"/ $RPM_BUILD_ROOT%{_mingw32_libdir}/libsoup-2.4.la

# Drop the folder which was temporary used for installing the static bits
rm -rf $RPM_BUILD_ROOT/build_static

# Strip all the GTK-Doc
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc COPYING
%{_mingw32_bindir}/libsoup-2.4-1.dll
%{_mingw32_includedir}/libsoup-2.4
%{_mingw32_libdir}/libsoup-2.4.dll.a
%{_mingw32_libdir}/libsoup-2.4.la
%{_mingw32_libdir}/pkgconfig/libsoup-2.4.pc

%files static
%defattr(-,root,root,-)
%{_mingw32_libdir}/libsoup-2.4.a


%changelog
* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.3-2
- Fixed small typo in previous changelog entry

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.3-1
- Update to 2.26.3

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.1-2
- Fixed license typo
- Use %%global instead of %%define
- Fixed mixed-use-of-spaces-and-tabs rpmlint warning

* Sat May  9 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.1-1
- Update to 2.26.1

* Fri Apr  3 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.0-2
- Added -static subpackage

* Fri Mar 20 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.0-1
- Update to 2.26.0

* Sat Feb 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.25.5-1
- Initial release

